### Class

# Clapper SubtitleStream

#### Description [src]

    final class Clapper.SubtitleStream : Clapper.Stream
    {
      /* No available fields */
    }

Represents a subtitle stream within media.

#### Hierarchy

#### Ancestors

- ClapperStream
- GstObject
- GInitiallyUnowned
- GObject

#### Instance methods

###### clapper_subtitle_stream_get_lang_code

Get an ISO-639 language code of the `stream`.

###### clapper_subtitle_stream_get_lang_name

Get language name of the `stream`.

##### Methods inherited from ClapperStream (2)

###### clapper_stream_get_stream_type

Get the `ClapperStreamType` of `stream`.

###### clapper_stream_get_title

Get the title of `stream`, if any.

##### Methods inherited from GstObject (25)

Please see GstObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clapper.SubtitleStream:lang-code

Stream language code in ISO-639 format.

###### Clapper.SubtitleStream:lang-name

Stream language name.

##### Properties inherited from ClapperStream (2)

###### Clapper.Stream:stream-type

Type of stream.

###### Clapper.Stream:title

Title of stream.

##### Properties inherited from GstObject (2)

###### Gst.Object:name

No description available.

###### Gst.Object:parent

The parent of the object. Please note, that when changing the ‘parent’ property, we don’t emit `GObject::notify` and `GstObject::deep-notify` signals due to locking issues. In some cases one can use `GstBin::element-added` or `GstBin::element-removed` signals on the parent to achieve a similar effect.

#### Signals

##### Signals inherited from GstObject (1)

###### GstObject::deep-notify

The deep notify signal is used to be notified of property changes. It is typically attached to the toplevel bin to receive notifications from all the elements contained in that bin.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClapperSubtitleStreamClass {
      ClapperStreamClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClapperStreamClass`

  No description available.